Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRHyperlinkHelper

    java.lang.Object
      net.sf.jasperreports.engine.JRHyperlinkHelper

    public final class JRHyperlinkHelper

extends java.lang.Object

Utility class that manages built-in hyperlink types.

Version:
  $Id: JRHyperlinkHelper.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `HYPERLINK_TARGET_BLANK` Deprecated. Replaced by `HyperlinkTargetEnum.BLANK`.
`static java.lang.String` | `HYPERLINK_TARGET_PARENT` Deprecated. Replaced by `HyperlinkTargetEnum.PARENT`.
`static java.lang.String` | `HYPERLINK_TARGET_SELF` Deprecated. Replaced by `HyperlinkTargetEnum.SELF`.
`static java.lang.String` | `HYPERLINK_TARGET_TOP` Deprecated. Replaced by `HyperlinkTargetEnum.TOP`.
`static java.lang.String` | `HYPERLINK_TYPE_LOCAL_ANCHOR` Deprecated. Replaced by `HyperlinkTypeEnum.LOCAL_ANCHOR`.
`static java.lang.String` | `HYPERLINK_TYPE_LOCAL_PAGE` Deprecated. Replaced by `HyperlinkTypeEnum.LOCAL_PAGE`.
`static java.lang.String` | `HYPERLINK_TYPE_NONE` Deprecated. Replaced by `HyperlinkTypeEnum.NONE`.
`static java.lang.String` | `HYPERLINK_TYPE_REFERENCE` Deprecated. Replaced by `HyperlinkTypeEnum.REFERENCE`.
`static java.lang.String` | `HYPERLINK_TYPE_REMOTE_ANCHOR` Deprecated. Replaced by `HyperlinkTypeEnum.REMOTE_ANCHOR`.
`static java.lang.String` | `HYPERLINK_TYPE_REMOTE_PAGE` Deprecated. Replaced by `HyperlinkTypeEnum.REMOTE_PAGE`.

Method Summary
`static byte` | `getHyperlinkTarget(JRHyperlink hyperlink)` Returns the built-in hyperlink target, or `JRHyperlink.HYPERLINK_TARGET_CUSTOM` if the target name is not a built-in one.
`static byte` | `getHyperlinkTarget(java.lang.String linkTarget)` Deprecated. Replaced by `getHyperlinkTargetValue(String)`.
`static HyperlinkTargetEnum` | `getHyperlinkTargetValue(java.lang.String linkTarget)` Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.
`static byte` | `getHyperlinkType(JRHyperlink hyperlink)` Deprecated. Replaced by `getHyperlinkTypeValue(JRHyperlink)`.
`static byte` | `getHyperlinkType(java.lang.String linkType)` Deprecated. Replaced by `getHyperlinkTypeValue(String)`.
`static HyperlinkTypeEnum` | `getHyperlinkTypeValue(JRHyperlink hyperlink)` Returns the built-in hyperlink type, or `JRHyperlink.HYPERLINK_TYPE_CUSTOM` if the type is not a built-in type.
`static HyperlinkTypeEnum` | `getHyperlinkTypeValue(java.lang.String linkType)` Returns the built-in hyperlink type, or `JRHyperlink.HYPERLINK_TYPE_CUSTOM` if the type is not a built-in type.
`static java.lang.String` | `getLinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `getLinkTarget(HyperlinkTargetEnum)`.
`static java.lang.String` | `getLinkTarget(HyperlinkTargetEnum hyperlinkTarget)` Returns the link target associated with a built-in target.
`static java.lang.String` | `getLinkType(byte hyperlinkType)` Deprecated. Replaced by `getLinkType(HyperlinkTypeEnum)`.
`static java.lang.String` | `getLinkType(HyperlinkTypeEnum hyperlinkType)` Returns the link type associated with a built-in type.
`static boolean` | `isEmpty(JRHyperlink hyperlink)` Decides whether a hyperlink is empty or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HYPERLINK_TYPE_NONE

    public static final java.lang.String HYPERLINK_TYPE_NONE

  Deprecated. Replaced by `HyperlinkTypeEnum.NONE`.
  "None" link type, equivalent to `JRHyperlink.HYPERLINK_TYPE_NONE`.

### HYPERLINK_TYPE_REFERENCE

    public static final java.lang.String HYPERLINK_TYPE_REFERENCE

  Deprecated. Replaced by `HyperlinkTypeEnum.REFERENCE`.
  "Reference" link type, equivalent to `JRHyperlink.HYPERLINK_TYPE_REFERENCE`.

### HYPERLINK_TYPE_LOCAL_ANCHOR

    public static final java.lang.String HYPERLINK_TYPE_LOCAL_ANCHOR

  Deprecated. Replaced by `HyperlinkTypeEnum.LOCAL_ANCHOR`.
  "LocalAnchor" link type, equivalent to `JRHyperlink.HYPERLINK_LOCAL_ANCHOR`.

### HYPERLINK_TYPE_LOCAL_PAGE

    public static final java.lang.String HYPERLINK_TYPE_LOCAL_PAGE

  Deprecated. Replaced by `HyperlinkTypeEnum.LOCAL_PAGE`.
  "LocalPage" link type, equivalent to `JRHyperlink.HYPERLINK_TYPE_LOCAL_PAGE`.

### HYPERLINK_TYPE_REMOTE_ANCHOR

    public static final java.lang.String HYPERLINK_TYPE_REMOTE_ANCHOR

  Deprecated. Replaced by `HyperlinkTypeEnum.REMOTE_ANCHOR`.
  "RemoteAnchor" link type, equivalent to `JRHyperlink.HYPERLINK_TYPE_REMOTE_ANCHOR`.

### HYPERLINK_TYPE_REMOTE_PAGE

    public static final java.lang.String HYPERLINK_TYPE_REMOTE_PAGE

  Deprecated. Replaced by `HyperlinkTypeEnum.REMOTE_PAGE`.
  "RemotePage" link type, equivalent to `JRHyperlink.HYPERLINK_TYPE_REMOTE_PAGE`.

### HYPERLINK_TARGET_SELF

    public static final java.lang.String HYPERLINK_TARGET_SELF

  Deprecated. Replaced by `HyperlinkTargetEnum.SELF`.
  "Self" link target name, equivalent to `JRHyperlink.HYPERLINK_TARGET_SELF`.

### HYPERLINK_TARGET_BLANK

    public static final java.lang.String HYPERLINK_TARGET_BLANK

  Deprecated. Replaced by `HyperlinkTargetEnum.BLANK`.
  "Blank" link target name, equivalent to `JRHyperlink.HYPERLINK_TARGET_BLANK`.

### HYPERLINK_TARGET_PARENT

    public static final java.lang.String HYPERLINK_TARGET_PARENT

  Deprecated. Replaced by `HyperlinkTargetEnum.PARENT`.
  "Parent" link target name, equivalent to `JRHyperlink.HYPERLINK_TARGET_PARENT`.

### HYPERLINK_TARGET_TOP

    public static final java.lang.String HYPERLINK_TARGET_TOP

  Deprecated. Replaced by `HyperlinkTargetEnum.TOP`.
  "Top" link target name, equivalent to `JRHyperlink.HYPERLINK_TARGET_TOP`.

Method Detail

### getHyperlinkType

    public static byte getHyperlinkType(JRHyperlink hyperlink)

  Deprecated. Replaced by `getHyperlinkTypeValue(JRHyperlink)`.

### getHyperlinkTypeValue

    public static HyperlinkTypeEnum getHyperlinkTypeValue(JRHyperlink hyperlink)

  Returns the built-in hyperlink type, or `JRHyperlink.HYPERLINK_TYPE_CUSTOM` if the type is not a built-in type.

  Parameters:
    `hyperlink` - the hyperlink object
  Returns:
    the hyperlink type

### getHyperlinkType

    public static byte getHyperlinkType(java.lang.String linkType)

  Deprecated. Replaced by `getHyperlinkTypeValue(String)`.

### getHyperlinkTypeValue

    public static HyperlinkTypeEnum getHyperlinkTypeValue(java.lang.String linkType)

  Returns the built-in hyperlink type, or `JRHyperlink.HYPERLINK_TYPE_CUSTOM` if the type is not a built-in type.

  Parameters:
    `linkType` - the link type
  Returns:
    the hyperlink type

### getHyperlinkTarget

    public static byte getHyperlinkTarget(JRHyperlink hyperlink)

  Returns the built-in hyperlink target, or `JRHyperlink.HYPERLINK_TARGET_CUSTOM` if the target name is not a built-in one.

  Parameters:
    `hyperlink` - the hyperlink object
  Returns:
    the hyperlink target

### getHyperlinkTarget

    public static byte getHyperlinkTarget(java.lang.String linkTarget)

  Deprecated. Replaced by `getHyperlinkTargetValue(String)`.

### getHyperlinkTargetValue

    public static HyperlinkTargetEnum getHyperlinkTargetValue(java.lang.String linkTarget)

  Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.

  Parameters:
    `linkTarget` - the link target type
  Returns:
    the hyperlink target

### getLinkType

    public static java.lang.String getLinkType(byte hyperlinkType)

  Deprecated. Replaced by `getLinkType(HyperlinkTypeEnum)`.

### getLinkType

    public static java.lang.String getLinkType(HyperlinkTypeEnum hyperlinkType)

  Returns the link type associated with a built-in type.

  Parameters:
    `hyperlinkType` - the built-in type
  Returns:
    the String link type

### getLinkTarget

    public static java.lang.String getLinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `getLinkTarget(HyperlinkTargetEnum)`.

### getLinkTarget

    public static java.lang.String getLinkTarget(HyperlinkTargetEnum hyperlinkTarget)

  Returns the link target associated with a built-in target.

  Parameters:
    `hyperlinkTarget` - the built-in target type
  Returns:
    the String link target

### isEmpty

    public static boolean isEmpty(JRHyperlink hyperlink)

  Decides whether a hyperlink is empty or not.

  The hyperlink is considered empty when it's `null` or when its type is `NONE` and it doesn't include a tooltip expression

  Parameters:
    `hyperlink` - the hyperlink
  Returns:
    whether the hyperlink is empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com